Subject: [ietf-outcomes] what's massive?

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 03 Feb 2010 15:14:37 -0700

What counts as massive adoption? In discussing this wiki with some XMPP
developers just now, we decided that XMPP adoption is somewhere between
"some" and "massive". I'd say the same for technologies like SIP.
Perhaps we could have:

+ = some adoption
++ = significant adoption
+++ = massive adoption

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Dave CROCKER <[email-masked]>
Date: Wed, 03 Feb 2010 17:16:12 -0800

> ++ = significant adoption

FWIW, here's some background that went into the current design of the rating 
scale...

This all falls into the category of survey research, which ultimately calls for 
a subjective assessment by a person.  Here, we're trying to use community rough 
consensus to validate the assignments.

I've been calling the current rating model as '5-points with a tail'.  The tail 
is the '++>' extra value, that refers to work which is so successful that it 
prompts follow-on work.

What you are suggesting is that it be a 7-point scale.  There is always a desire 
to add gradations to a scale.  Absent careful training for the folks assigning 
values, having more resolution to the scale actually makes things more 
ambiguous, less consistent, and more variable to the respondent.

In addition, it's not clear how much utility there would be in making 
finer-grained assignments, even if they could be made clearly and consistently.

As for where to rank XMPP using the current scale...

If there is rough consensus that XMPP is a home run, then it should get ++.  If 
there is rough consensus that XMPP is successful, but not quite yet massively in 
use, then it probably warrants a single +.

As much as some of us use jabber/xmpp, my own impression is that its 
Internet-scale adoption is significant, but is still limited.

But that's just my opinion.

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 03 Feb 2010 21:46:27 -0700

On 2/3/10 6:16 PM, Dave CROCKER wrote:
> FWIW, here's some background that went into the current design of the
> rating scale...
> 
> This all falls into the category of survey research, which ultimately
> calls for a subjective assessment by a person.  Here, we're trying to
> use community rough consensus to validate the assignments.
> 
> I've been calling the current rating model as '5-points with a tail'. 
> The tail is the '++>' extra value, that refers to work which is so
> successful that it prompts follow-on work.

That was another question I had: what is follow-on work?

> What you are suggesting is that it be a 7-point scale.  There is always
> a desire to add gradations to a scale.  Absent careful training for the
> folks assigning values, having more resolution to the scale actually
> makes things more ambiguous, less consistent, and more variable to the
> respondent.
> 
> If there is rough consensus that XMPP is a home run, then it should get
> ++.  If there is rough consensus that XMPP is successful, but not quite
> yet massively in use, then it probably warrants a single +.
> 

That seems reasonable. I tend to be one of those people who is quite
reluctant to select the extreme options on point scales...

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Dave CROCKER <[email-masked]>
Date: Wed, 03 Feb 2010 21:10:59 -0800

> That was another question I had: what is follow-on work?

(Popular) New standards that are based on that work, in one fashion or another.

The Apps wiki page has some examples:

     <http://trac.tools.ietf.org/misc/outcomes/wiki/IetfApplications>

> reluctant to select the extreme options on point scales...

As I recall, most people are.  It's a psych or survey equivalent of regression 
toward the mean...

d/
-- 

   Dave Crocker